        ORG #6000

OPROS   CALL REDEF
        JR OPROS

REDEF   CALL #028E
        LD BC,KEYS
        PUSH DE
        CALL SKEY
        POP DE
        LD E,D
        CALL SKEY
        RET 

KEYS    DS 2

SKEY    LD A,E
        INC A
        JR Z,ZEROK
        CALL #0347
ZEROK   LD (BC),A
        INC BC
        RET 

